Bug 803096 - Scalability Testing : Logout times impacted by number of users logged in concurrently
Scalability Testing : Logout times impacted by number of users logged in conc...
Status: CLOSED NOTABUG
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jiri Tomasek
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 19:53 EDT by Ronelle Landy
Modified: 2012-08-29 10:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 10:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronelle Landy 2012-03-13 19:53:28 EDT
Description of problem:

With 100+ users logged in to one conductor instance, it can take up to 4 minutes for a user to log out.

The following lines from a jmeter test results table show that it took twice as long for a user to log out than it did for that same user (or an equivalent user) to access the conductor/pools page or conductor/users page (which has to load 300+ users)

738	19:31:10.973	Add User Group 1-44	/conductor/pools	107822	Success	15784
739	19:31:10.965	Add User Group 1-99	/conductor/users	117398	Success	101797
740	19:28:52.172	Add User Group 1-8	/conductor/logout	256192	Success	5313

Other logout times from the same test are copied below:

757	19:29:07.830	Add User Group 1-10	/conductor/logout	244794	Success	5308
758	19:31:34.728	Add User Group 1-49	/conductor/pools	108223	Success	15779
759	19:29:07.830	Add User Group 1-7	/conductor/logout	255122	Success	5308
760	19:29:07.835	Add User Group 1-6	/conductor/logout	255121	Success	5318
761	19:29:24.146	Add User Group 1-4	/conductor/logout	238815	Success	5313
762	19:29:24.156	Add User Group 1-5	/conductor/logout	238806	Success	5308

Note that when the load is reduced (other users are logged out already), the remaining user can log out in +/- 3.5 seconds:

899	19:33:59.499	Add User Group 1-100	/conductor/logout	3635	Success	5323
900	19:33:59.717	Add User Group 1-99	/conductor/logout	3438	Success	5308


Steps to Reproduce:
1. Create 100+ users 
2. Make sure those users are logged into the same conductor instance concurrently
3. Have one of the users log out
  
rpms tested:

rpm -qa |grep aeolus
rubygem-aeolus-cli-0.3.0-14.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
aeolus-conductor-doc-0.8.0-41.el6.noarch
Comment 1 Hugh Brock 2012-03-19 13:22:54 EDT
Similar to 802571. Moving to 1.0.z.
Comment 2 Dave Johnson 2012-08-10 10:53:03 EDT
Closing this out... at this point we are not necessarily concerned about a large number of users and all scalability concerns are around the number of instances.

Note You need to log in before you can comment on or make changes to this bug.